Bug 37483 - problems with RPM program
Summary: problems with RPM program
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-24 22:07 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-24 22:07:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-24 22:07:29 UTC
When I try to install "rpm -ihv ethereal-0.8.17-1.i386.rpm" fails an show
the following messages:

error: failed dependencies:
	libsnmp.so.0   is needed by ethereal-0.8.17-1

but I have the link "libsnmp.so.0 -> libsnmp-0.4.2.so" in "/usr/lib" and
this directory is in the  /etc/ld.so.conf

Thanks in advance,

Diedrich von Bernhardi

Comment 1 Jeff Johnson 2001-04-24 22:14:22 UTC
rpm manages packages, not files.

Try
	rpm -q --whatprovides libsnmp.so.0
I predict that you will find that, indeed, no installed package has the
	Provides: libsnmp.so.0
You can work around by doing
	echo "Provides: libsnmp.so.0" >> /etc/rpmrc
but you really should install a ucd-snmp package with the libsnmp.so.0
provide (verify by doing
	rpm -qp --provides ucd-snmp-*
and examining the output).


Note You need to log in before you can comment on or make changes to this bug.